MagickCore: Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Defines

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - r -

- RadialBlurImage() : effect.c , effect.h
- RadialBlurImageChannel() : effect.h , effect.c
- RadiansToDegrees() : image-private.h
- RaiseImage() : decorate.c , decorate.h
- RandomChannelThresholdImage() : deprecate.c , deprecate.h
- RandomThresholdImage() : threshold.c , threshold.h
- RandomThresholdImageChannel() : threshold.c , threshold.h
- RandomX() : cache.c
- RandomY() : cache.c
- ReacquireMemory() : deprecate.c , deprecate.h
- ReadBlob() : blob-private.h , blob.c
- ReadBlobByte() : blob-private.h , blob.c
- ReadBlobDouble() : blob-private.h , blob.c
- ReadBlobFloat() : blob-private.h , blob.c
- ReadBlobLong() : blob-private.h , blob.c
- ReadBlobLongLong() : blob-private.h , blob.c
- ReadBlobLSBLong() : blob-private.h , blob.c
- ReadBlobLSBShort() : blob-private.h , blob.c
- ReadBlobMSBLong() : blob-private.h , blob.c
- ReadBlobMSBShort() : blob-private.h , blob.c
- ReadBlobShort() : blob-private.h , blob.c
- ReadBlobStream() : blob.c
- ReadBlobString() : blob-private.h , blob.c
- ReadCacheIndexes() : cache.c
- ReadCachePixels() : cache.c
- ReadCacheRegion() : cache.c
- readdir() : mac.h , vms.h
- ReadImage() : constitute.c , constitute.h
- ReadImages() : constitute.c
- ReadInlineImage() : constitute.c , constitute.h
- ReadPICTImage() : mac.h
- ReadProfileByte() : profile.c
- ReadProfileLong() : profile.c
- ReadProfileShort() : profile.c
- ReadPropertyByte() : property.c
- ReadPropertyLong() : property.c
- ReadPropertyMSBLong() : property.c
- ReadPropertyMSBShort() : property.c
- ReadPropertyShort() : property.c
- ReadStream() : stream.c , stream.h
- RecolorImage() : fx.c , fx.h
- Reduce() : quantize.c
- ReduceImageColors() : quantize.c
- ReduceNoiseImage() : effect.c , effect.h
- ReferenceBlob() : blob-private.h , blob.c
- ReferenceCache() : cache-private.h , cache.c
- ReferenceImage() : image.c , image.h
- RegisterARTImage() : static.h
- RegisterAVIImage() : static.h
- RegisterAVSImage() : static.h
- RegisterBIEImage() : static.h
- RegisterBMPImage() : static.h
- RegisterCAPTIONImage() : static.h
- RegisterCINImage() : static.h
- RegisterCIPImage() : static.h
- RegisterCLIPBOARDImage() : static.h
- RegisterCLIPImage() : static.h
- RegisterCMYKImage() : static.h
- RegisterCUTImage() : static.h
- RegisterDCMImage() : static.h
- RegisterDCXImage() : static.h
- RegisterDIBImage() : static.h
- RegisterDJVUImage() : static.h
- RegisterDNGImage() : static.h
- RegisterDPSImage() : static.h
- RegisterDPXImage() : static.h
- RegisterEMFImage() : static.h
- RegisterEPDFImage() : static.h
- RegisterEPIImage() : static.h
- RegisterEPS2Image() : static.h
- RegisterEPSFImage() : static.h
- RegisterEPSIImage() : static.h
- RegisterEPSImage() : static.h
- RegisterEPTImage() : static.h
- RegisterEXRImage() : static.h
- RegisterFAXImage() : static.h
- RegisterFITSImage() : static.h
- RegisterFPXImage() : static.h
- RegisterG3Image() : static.h
- RegisterGIF87Image() : static.h
- RegisterGIFImage() : static.h
- RegisterGRADIENTImage() : static.h
- RegisterGRANITEImage() : static.h
- RegisterGRAYImage() : static.h
- RegisterHImage() : static.h
- RegisterHISTOGRAMImage() : static.h
- RegisterHTMImage() : static.h
- RegisterHTMLImage() : static.h
- RegisterICBImage() : static.h
- RegisterICONImage() : static.h
- RegisterINFOImage() : static.h
- RegisterIPLImage() : static.h
- RegisterJBGImage() : static.h
- RegisterJBIGImage() : static.h
- RegisterJP2Image() : static.h
- RegisterJPEGImage() : static.h
- RegisterJPGImage() : static.h
- RegisterLABELImage() : static.h
- RegisterMAGICKImage() : static.h
- RegisterMagickInfo() : magick.c , magick.h
- RegisterMagickSignalHandler() : magick.c
- RegisterMAPImage() : static.h
- RegisterMATImage() : static.h
- RegisterMATTEImage() : static.h
- RegisterMETAImage() : static.h
- RegisterMIFFImage() : static.h
- RegisterMNGImage() : static.h
- RegisterModule() : module.c
- RegisterMONOImage() : static.h
- RegisterMPCImage() : static.h
- RegisterMPEGImage() : static.h
- RegisterMPRImage() : static.h
- RegisterMSLImage() : static.h
- RegisterMTVImage() : static.h
- RegisterMVGImage() : static.h
- RegisterNETSCAPEImage() : static.h
- RegisterNULLImage() : static.h
- RegisterOTBImage() : static.h
- RegisterP7Image() : static.h
- RegisterPALMImage() : static.h
- RegisterPATTERNImage() : static.h
- RegisterPBMImage() : static.h
- RegisterPCDImage() : static.h
- RegisterPCDSImage() : static.h
- RegisterPCLImage() : static.h
- RegisterPCTImage() : static.h
- RegisterPCXImage() : static.h
- RegisterPDBImage() : static.h
- RegisterPDFImage() : static.h
- RegisterPGMImage() : static.h
- RegisterPICImage() : static.h
- RegisterPICTImage() : static.h
- RegisterPIXImage() : static.h
- RegisterPLASMAImage() : static.h
- RegisterPMImage() : static.h
- RegisterPNGImage() : static.h
- RegisterPNMImage() : static.h
- RegisterPPMImage() : static.h
- RegisterPREVIEWImage() : static.h
- RegisterPS2Image() : static.h
- RegisterPS3Image() : static.h
- RegisterPSDImage() : static.h
- RegisterPSImage() : static.h
- RegisterPTIFImage() : static.h
- RegisterPWPImage() : static.h
- RegisterRASImage() : static.h
- RegisterRAWImage() : static.h
- RegisterRGBAImage() : static.h
- RegisterRGBImage() : static.h
- RegisterRLAImage() : static.h
- RegisterRLEImage() : static.h
- RegisterSCRImage() : static.h
- RegisterSCTImage() : static.h
- RegisterSFWImage() : static.h
- RegisterSGIImage() : static.h
- RegisterSHTMLImage() : static.h
- RegisterStaticModules() : static.c , module.h
- RegisterSTEGANOImage() : static.h
- RegisterSUNImage() : static.h
- RegisterSVGImage() : static.h
- RegisterTEXTImage() : static.h
- RegisterTGAImage() : static.h
- RegisterTHUMBNAILImage() : static.h
- RegisterTIFFImage() : static.h
- RegisterTIFImage() : static.h
- RegisterTILEImage() : static.h
- RegisterTIMImage() : static.h
- RegisterTTFImage() : static.h
- RegisterTXTImage() : static.h
- RegisterUILImage() : static.h
- RegisterURLImage() : static.h
- RegisterUYVYImage() : static.h
- RegisterVDAImage() : static.h
- RegisterVICARImage() : static.h
- RegisterVIDImage() : static.h
- RegisterVIFFImage() : static.h
- RegisterVSTImage() : static.h
- RegisterWBMPImage() : static.h
- RegisterWMFImage() : static.h
- RegisterWPGImage() : static.h
- RegisterXBMImage() : static.h
- RegisterXCFImage() : static.h
- RegisterXCImage() : static.h
- RegisterXImage() : static.h
- RegisterXPMImage() : static.h
- RegisterXPSImage() : static.h
- RegisterXTRNImage() : static.h
- RegisterXVImage() : static.h
- RegisterXWDImage() : static.h
- RegisterYCBCRImage() : static.h
- RegisterYUVImage() : static.h
- RelinquishCachePixels() : cache.c
- RelinquishMagickMatrix() : matrix.h , matrix.c
- RelinquishMagickMemory() : memory.c , memory_.h
- RelinquishMagickResource() : resource_.h , resource.c
- RelinquishNexusPixels() : cache.c
- RelinquishSemaphoreInfo() : semaphore.h , semaphore.c
- RelinquishStreamPixels() : stream.c
- RelinquishUniqueFileResource() : resource.c , resource_.h
- RemoteDisplayCommand() : display.c , display.h
- RemoveDuplicateLayers() : layer.h , layer.c
- RemoveElementByValueFromLinkedList() : hashmap.c , hashmap.h
- RemoveElementFromLinkedList() : hashmap.h , hashmap.c
- RemoveEntryFromHashmap() : hashmap.c , hashmap.h
- RemoveFirstImageFromList() : list.h , list.c
- RemoveImageArtifact() : artifact.c , artifact.h
- RemoveImageFromList() : list.c , list.h
- RemoveImageOption() : option.c , option.h
- RemoveImageProfile() : profile.h , profile.c
- RemoveImageProperty() : property.h , property.c
- RemoveImageRegistry() : registry.c , registry.h
- RemoveLastElementFromLinkedList() : hashmap.h , hashmap.c
- RemoveLastImageFromList() : list.c , list.h
- RemoveNodeByValueFromSplayTree() : splay-tree.h , splay-tree.c
- RemoveNodeFromSplayTree() : splay-tree.h , splay-tree.c
- RemoveZeroDelayLayers() : layer.c , layer.h
- RenderFreetype() : annotate.c
- RenderPostscript() : annotate.c
- RenderType() : annotate.c
- RenderX11() : annotate.c
- ReplaceImageInList() : list.h , list.c
- ResampleImage() : resize.h , resize.c
- ResamplePixelColor() : resample.c , resample.h
- ResetHashmapIterator() : hashmap.c , hashmap.h
- ResetImageArtifactIterator() : artifact.c , artifact.h
- ResetImageAttributeIterator() : deprecate.h , deprecate.c
- ResetImageOptionIterator() : option.c , option.h
- ResetImagePage() : image.c , image.h
- ResetImageProfileIterator() : profile.h , profile.c
- ResetImagePropertyIterator() : property.h , property.c
- ResetImageRegistryIterator() : registry.h , registry.c
- ResetLinkedListIterator() : hashmap.h , hashmap.c
- ResetMagickMemory() : memory_.h , memory.c
- ResetMedianList() : effect.c
- ResetSplayTreeIterator() : splay-tree.h , splay-tree.c
- ResetStringInfo() : string_.h , string.c
- ResetTimer() : timer.h , timer.c
- ResizeImage() : resize.h , resize.c
- ResizeMagickMemory() : memory.c , memory_.h
- ResizeQuantumMemory() : memory_.h , memory.c
- ReverseImageList() : list.c , list.h
- ReversePoints() : draw.c
- RGBTransformImage() : colorspace.h , colorspace.c
- RollImage() : transform.c , transform.h
- RotateImage() : shear.c , shear.h
- RotateRight() : signature.c
- RoundToQuantum() : quantum.h
- RoundToUnity() : composite-private.h
- RoundToYCC() : colorspace.c